%define audacious_input_plugin_dir %(pkg-config --variable=input_plugin_dir audacious)
%define xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

Name: xmp
Version: 3.1.0
Release: 2%{?dist}
Summary: A multi-format module player
Group: Applications/Multimedia
#Source: http://dl.sourceforge.net/sourceforge/xmp/%{name}-%{version}.tar.gz
#same source as above, with docs/formats/gdm.txt removed
Source: http://rathann.fedorapeople.org/src/xmp/%{name}-%{version}-free.tar.gz
# run this to get the above tarball
Source1: mktarball.sh
License: GPLv2+
URL: http://xmp.sourceforge.net/
Buildrequires: alsa-lib-devel
Buildrequires: audacious-devel
BuildRequires: pulseaudio-libs-devel
Buildrequires: xmms-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

%description
The Extended Module Player is a modplayer for Unix-like systems that plays
over 80 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs and PC, including Protracker (MOD), Scream Tracker 3 (S3M), Fast
Tracker II (XM) and Impulse Tracker (IT) files.

%package -n audacious-plugin-%{name}
Summary: A xmp plugin for Audacious
Group: Applications/Multimedia
Requires: audacious

%description -n audacious-plugin-%{name}
The Extended Module Player is a modplayer for Unix-like systems that plays
over 80 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs and PC, including Protracker (MOD), Scream Tracker 3 (S3M), Fast
Tracker II (XM) and Impulse Tracker (IT) files.

This package contains the xmp plugin for the Audacious media player.

%package -n xmms-%{name}
Summary: A xmp plugin for XMMS
Group: Applications/Multimedia
Requires: xmms

%description -n xmms-%{name}
The Extended Module Player is a modplayer for Unix-like systems that plays
over 80 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs and PC, including Protracker (MOD), Scream Tracker 3 (S3M), Fast
Tracker II (XM) and Impulse Tracker (IT) files.

This package contains the xmp plugin for XMMS.


%prep
%setup -q
pushd docs
for file in ChangeLog CREDITS ; do
	iconv -f iso8859-1 -t utf8 -o $file.utf $file && touch -r $file $file.utf && mv $file.utf $file
done

%build
%configure \
  --enable-audacious-plugin \
  --enable-pulseaudio \
  --enable-xmms-plugin

%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs/COPYING docs/README.* docs/ChangeLog docs/CREDITS
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_mandir}/man1/xmp.1*

%files -n audacious-plugin-%{name}
%defattr(-,root,root)
%{audacious_input_plugin_dir}/*

%files -n xmms-%{name}
%defattr(-,root,root)
%{xmms_input_plugin_dir}/*

%changelog
* Sun Jan 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.1.0-2
- Rebuild for audacious.pc --libs changes.

* Thu Jan 07 2010 Dominik Mierzejewski <rpm@greysector.net> 3.1.0-1
- updated to 3.1.0
- enabled parallel build
- dropped obsolete patches
- built with pulseaudio output support

* Thu Dec 31 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.7.1-2
- fix FTBFS (#539061), Audacious 2.2 iplugin API change
- fix Audacious plugin dialogs

* Mon Sep 14 2009 Dominik Mierzejewski <rpm@greysector.net> 2.7.1-1
- updated to 2.7.1
- dropped obsolete patch
- fixes CVE-2007-6731 (rhbz#523138) and CVE-2007-6732 (rhbz#523147)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-7
- patch further for Audacious 2, because the bmp_cfg_* symbols are gone
  since Audacious 1.5 already

* Sun Jul 19 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-6
- patch for Audacious 2 (xmp-2.5.1-audacious2.patch)

* Tue Jun 16 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-5
- rebuild for new libmowgli SONAME (audacious-plugin-xmp depends on it
  indirectly because of audacious-devel pkgconfig dep-chain)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-3
- add a script to create the free tarball
- drop workaround for missing audacious-devel Requires:

* Mon Jul 07 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-2
- repackaged source tarball without the OCL-licensed file

* Wed Jun 25 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-1
- initial build based on upstream spec
- disabled stripping upon install
- renamed player plugins to playername(-plugin)-xmp
- worked around missing BRs in audacious-devel in rawhide
- converted non-UTF8 docs
